=== debian/changelog ===
ros-kinetic-uos-diffdrive-teleop (1.0.0-2xenial) xenial; urgency=high

  * Initial version 1.0.0
  * Contributors: Jochen Sprickerhof, Martin Günther, Michael Görner, MikyasDesta, Sebastian Pütz, Tristan Igelbrink

 -- Sebastian Pütz <spuetz@uos.de>  Fri, 24 Apr 2020 22:00:00 -0000
