=== debian/control ===
Source: ros-kinetic-uos-diffdrive-teleop
Section: misc
Priority: optional
Maintainer: Sebastian Pütz <spuetz@uos.de>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-geometry-msgs, ros-kinetic-roscpp, ros-kinetic-sensor-msgs
Homepage: http://ros.org/wiki/uos_diffdrive_teleop
Standards-Version: 3.9.2

Package: ros-kinetic-uos-diffdrive-teleop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-geometry-msgs, ros-kinetic-ps3joy, ros-kinetic-roscpp, ros-kinetic-sensor-msgs
Description: uos_diffdrive_teleop
